#
# spec file for package kservice
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define _tar_path 5.26
Name:           kservice
Version:        5.26.0
Release:        2.2
%define kf5_version %{version}
BuildRequires:  bison
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  flex
BuildRequires:  kconfig-devel >= %{_tar_path}
BuildRequires:  kcoreaddons-devel >= %{_tar_path}
BuildRequires:  kcrash-devel >= %{_tar_path}
BuildRequires:  kdbusaddons-devel >= %{_tar_path}
BuildRequires:  kdoctools-devel >= %{_tar_path}
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= %{_tar_path}
BuildRequires:  cmake(Qt5Concurrent) >= 5.5.0
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Test) >= 5.5.0
BuildRequires:  cmake(Qt5Xml) >= 5.5.0
%if %{with lang}
Recommends:     %{name}-lang = %{version}
%endif
Recommends:     kded >= %{_tar_path}
Obsoletes:      libKF5Service4
Summary:        Plugin framework for desktop services
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE kservice-desktop-translations.patch
Patch0:         kservice-desktop-translations.patch
# PATCH-FIX-OPENSUSE dont-show-yast-modules-in-the-applications-menu.patch -- hide the YaST modules from the application menu
Patch1:         dont-show-yast-modules-in-the-applications-menu.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provides a plugin framework for handling desktop services. Services can
be applications or libraries. They can be bound to MIME types or handled by
application specific code.

%package devel
Summary:        Plugin framework for desktop services: Build Environment
Group:          Development/Libraries/KDE
Requires:       %{name} = %{version}
Requires:       extra-cmake-modules
Requires:       kconfig-devel >= %{_tar_path}
Requires:       kcoreaddons-devel >= %{_tar_path}

%description devel
Provides a plugin framework for handling desktop services. Services can
be applications or libraries. They can be bound to MIME types or handled by
application specific code. Development files

%lang_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
  %cmake_kf5 -d build -- -DAPPLICATIONS_MENU_NAME="kf5-applications.menu"
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang %{name}5
echo "%doc %lang(ca) %{_kf5_mandir}/ca" >>%{name}5.lang
echo "%doc %lang(de) %{_kf5_mandir}/de" >>%{name}5.lang
echo "%doc %lang(it) %{_kf5_mandir}/it" >>%{name}5.lang
echo "%doc %lang(nl) %{_kf5_mandir}/nl" >>%{name}5.lang
echo "%doc %lang(pt_BR) %{_kf5_mandir}/pt_BR" >>%{name}5.lang
echo "%doc %lang(sv) %{_kf5_mandir}/sv" >>%{name}5.lang
echo "%doc %lang(uk) %{_kf5_mandir}/uk" >>%{name}5.lang
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{with lang}
%files lang -f %{name}5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_libdir}/libKF5Service.so.*
%{_kf5_bindir}/kbuildsycoca5
%dir %{_kf5_servicetypesdir}
%{_kf5_servicetypesdir}/application.desktop
%{_kf5_servicetypesdir}/kplugininfo.desktop
%dir %{_kf5_sysconfdir}/xdg/menus
%{_kf5_sysconfdir}/xdg/menus/kf5-applications.menu
%doc %lang(en) %{_kf5_mandir}/*/kbuildsycoca5.*
%doc %lang(en) %{_kf5_mandir}/*/desktoptojson.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5Service.so
%{_kf5_libdir}/cmake/KF5Service/
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_KService.pri

%changelog
* Tue Sep  6 2016 hrvoje.senjan@gmail.com
- Update to 5.26.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.26.0.php
* Sun Aug  7 2016 hrvoje.senjan@gmail.com
- Update to 5.25.0
  * Qt >= 5.5 is now required
  * applications.menu: remove references to unused categories
  * Always update the Trader parser from yacc/lex sources
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.25.0.php
* Wed Jul  6 2016 hrvoje.senjan@gmail.com
- Update to 5.24.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.24.0.php
* Mon Jun  6 2016 hrvoje.senjan@gmail.com
- Update to 5.23.0
  * Fix associated applications for mimetypes with
    uppercase characters (boo#980046)
  * Lowercase the lookup key for mimetypes,
    to make it case insensitive
  * Fix ksycoca notifications when the DB doesn't exist yet
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.23.0.php
* Sat May  7 2016 hrvoje.senjan@gmail.com
- Update to 5.22.0 (boo#980066)
  * Remove too-strict maximum string length in KSycoca database
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.22.0.php
* Mon Apr  4 2016 hrvoje.senjan@gmail.com
- Update to 5.21.0 (boo#974793)
  * Fix new kbuildsycoca warning, when a mimetype inherits
    from an alias
  * Fix handling of x-scheme-handler/* in mimeapps.list
  * Fix handling of x-scheme-handler/* in mimeapps.list parsing
    (kde#358159)
  * Upgrade Qt version requirement to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.21.0.php
* Sun Mar  6 2016 hrvoje.senjan@gmail.com
- Update to 5.20.0 (boo#970856)
  * Simplify code, reduce pointer dereferences,
    container-related improvements
  * Add kmimeassociations_dumper test program,
    inspired by bug 359850
  * Fix chromium/wine apps not loading on some distributions
    (kde#213972)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.20.0.php
* Sun Feb 28 2016 hrvoje.senjan@gmail.com
- Drop totally wrong list-local-mimeapps-last.patch
* Sat Feb  6 2016 hrvoje.senjan@gmail.com
- Update to 5.19.0 (boo#967668)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.19.0.php
- Added list-local-mimeapps-last.patch list local mimeapps.list
  last to QListIterator, so it's   respected before global ones
  (boo#966739)
* Sat Jan  2 2016 hrvoje.senjan@gmail.com
- Update to 5.18.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.18.0.php
* Thu Dec 10 2015 hrvoje.senjan@gmail.com
- Update to 5.17.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.17.0.php
* Sun Nov  8 2015 hrvoje.senjan@gmail.com
- Update to 5.16.0 (boo#955067)
  * KBuildSycoca: always save, even if no change in .desktop file
    was noticed. (kde#353203)
  * Make doctools optional
  * kbuildsycoca: parse all the mimeapps.list files mentioned in
    the new spec.
  * Use largest timestamp in subdirectory as resource
    directory timestamp.
  * Keep MIME types separate when converting KPluginInfo to
    KPluginMetaData
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.16.0.php
* Fri Oct 23 2015 wbauer@tmo.at
- Add dont-show-yast-modules-in-the-applications-menu.patch: hide
  the YaST modules from the application menu (boo#951888)
* Mon Oct  5 2015 hrvoje.senjan@gmail.com
- Update to 5.15.0
  * Use largest timestamp in subdirectory as resource
    directory timestamp.
  * KSycoca: store mtime for every source dir, to detect changes.
    (kde#353036)
  * KServiceTypeProfile: remove unnecessary factory creation.
    (kde#353360)
  * Simplify and speed up KServiceTest::initTestCase.
  * make install name of applications.menu file a cached
    cmake variable
  * KSycoca: ensureCacheValid() should create the db if
    it doesn't exist
  * KSycoca: make global database work after the recent
    timestamp check code
  * KSycoca: change DB filename to include language and
    sha1 of the dirs it's built from.
  * KSycoca: make ensureCacheValid() part of the public API.
  * KSycoca: add a q pointer to remove more singleton usage
  * KSycoca: remove all self() methods for factories, store
    them in KSycoca instead.
  * KBuildSycoca: remove writing of the ksycoca5stamp file.
  * KBuildSycoca: use qCWarning rather than fprintf(stderr, ...)
    or qWarning
  * KSycoca: rebuild ksycoca in process rather than
    executing kbuildsycoca5
  * KSycoca: move all of the kbuildsycoca code into the lib,
    except for main().
  * KSycoca optimization: only watch the file if the app
    connects to databaseChanged()
  * Fix memory leaks in the KBuildSycoca class
  * KSycoca: replace DBus notification with file watching
    using KDirWatch.
  * kbuildsycoca: deprecate option --nosignal.
  * KBuildSycoca: replace dbus-based locking with a lock file.
  * Do not crash when encountering invalid plugin info.
  * Rename headers to _p.h in preparation for move to
    kservice library.
  * Move checkGlobalHeader() within KBuildSycoca::recreate().
  * Remove code for --checkstamps and --nocheckfiles.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.15.0.php
- Drop menu.patch, no longer needed.
  Pass -DAPPLICATIONS_MENU_NAME="kf5-applications.menu" to cmake instead
* Sat Sep 19 2015 hrvoje.senjan@gmail.com
- Update to 5.14.3
  * Fix timestamp truncation due to unwanted quint64 -> quint32 conversions.
    (kde#352854)
- Bring back Source URL
* Wed Sep 16 2015 hrvoje.senjan@gmail.com
- Update to 5.14.1
  * Revert ksycoca format change for now, for better compatibility
    (kde#352756)
- Temporary comment out Source URL
* Tue Sep  8 2015 hrvoje.senjan@gmail.com
- Update to 5.14.0
  * KSycoca: check timestamps and run kbuildsycoca if needed.
    No kded dependency anymore.
  * Don't close ksycoca right after opening it.
  * KPluginInfo now correctly handles FormFactor metadata
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.14.0.php
* Sat Aug 15 2015 wbauer@tmo.at
- Add kservice-desktop-translations.patch: read translations for
  .desktop files from desktop-translations if they are not in the
  file itself (boo#904524, boo#932158)
* Tue Aug  4 2015 hrvoje.senjan@gmail.com
- Update to 5.13.0
  * The Qt version requirement has been bumped from 5.2 to 5.3
  * Debug output has been ported to categorized output, for less
    noise by default
  * Docbook documentation has been reviewed and updated
  * Fix kbuildsycoca --global
  * KToolInvocation::invokeMailer: fix attachment when we have
    multi attachement
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.13.0.php
* Sun Jul  5 2015 hrvoje.senjan@gmail.com
- Update to 5.12.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.12.0.php
* Sun Jun  7 2015 hrvoje.senjan@gmail.com
- Update to 5.11.0
  * When running as root preserve file ownership on existing
    cache files (kde#342438)
  * Guard against being unable to open stream (kde#342438)
  * Fix check for invalid permissions writing file (kde#342438)
  * Fix querying ksycoca for x-scheme-handler/* pseudo-mimetypes.
    (kde#347353)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.11.0.php
* Sun May  3 2015 hrvoje.senjan@gmail.com
- Update to 5.10.0
  * Fix wrong splitting of entry path (kde#344614)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.10.0.php
* Sun Apr 19 2015 hrvoje.senjan@gmail.com
- Recommend kded package, it is a runtime requirement, but can't
  be marked as Required as it would create a buildcycle
* Sat Apr  4 2015 hrvoje.senjan@gmail.com
- Update to 5.9.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.9.0.php
- Drop no longer needed Requires of the devel subpackage:
  kdbusaddons-devel and ki18n-devel
* Sat Mar  7 2015 hrvoje.senjan@gmail.com
- Update to 5.8.0
  * KPluginInfo: support stringlists as properties
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.8.0.php
* Sun Feb  8 2015 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * Include unknown properties when converting
    KPluginInfo from KService
  * KPluginInfo: fixed properties not being
    copied from KService::Ptr
  * OS X: performance fix for kbuildsycoca4 (skip app bundles)
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.7.0.php
* Sat Jan  3 2015 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * Fix build on MSVC.
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.6.0.php
* Sat Dec  6 2014 hrvoje.senjan@gmail.com
- Update to 5.5.0
  * Fix KPluginTrader::query() for old JSON
  * Deprecate kservice_desktop_to_json for
    kcoreaddons_desktop_to_json
  * Implement KPluginTrader::query() using
    KPluginLoader::findPlugins()
  * Fix KPluginInfo::entryPath() being empty
    when not loaded from .desktop
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.5.0.php
* Sun Nov  2 2014 hrvoje.senjan@gmail.com
- Update to 5.4.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.4.0.php
- Drop 0001-Don-t-call-enableTestMode-when-QStandardPaths-isTest.patch,
  merged upstream
* Thu Oct  9 2014 hrvoje.senjan@gmail.com
- Add 0001-Don-t-call-enableTestMode-when-QStandardPaths-isTest.patch
  from upstream: fixes bug where kded would be called in test mode,
  which made it use ~/.qttest as home dir
* Sat Oct  4 2014 hrvoje.senjan@gmail.com
- Update to 5.3.0
  * Many many fixes to KPluginInfo
  * Add functions to convert between lists KPluginMetaData
    and KPluginInfo
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.3.0.php
* Tue Sep  9 2014 hrvoje.senjan@gmail.com
- Update to 5.2.0
  * For more details please see:
    http://kde.org/announcements/kde-frameworks-5.2.php
* Sat Aug  2 2014 hrvoje.senjan@gmail.com
- Update to 5.1.0
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.1.php
* Fri Jul 11 2014 hrvoje.senjan@gmail.com
- Define kf5_version within package
* Tue Jul  1 2014 hrvoje.senjan@gmail.com
- Update to 5.0.0
  * Final release of KDE Frameworks 5
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/kde-frameworks-5.0.php
* Sun Jun  1 2014 hrvoje.senjan@gmail.com
- Update to 4.100.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta3.php
- Add baselibs.conf
* Sun May  4 2014 hrvoje.senjan@gmail.com
- Update to 4.99.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta2.php
* Sat Mar 29 2014 hrvoje.senjan@gmail.com
- Update to 4.98.0
  * API improvements and cleanups
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-beta1.php
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Update to 4.97.0:
  * Buildsystem fixes
  * For more details please see:
    http://www.kde.org/announcements/announce-frameworks5-alpha2.php
* Sat Feb  8 2014 hrvoje.senjan@gmail.com
- Init kservice package
